# vispy.io.datasets module

vispy.io.datasets.load_crate()

  Load an image of a crate

  Returns:
    crate array

      256x256x3 crate image.

vispy.io.datasets.load_iris()

  Load the iris dataset

  Returns:
    iris NpzFile

      data[‘data’] : a (150, 4) NumPy array with the iris’ features data[‘group’] : a (150,) NumPy array with the iris’ group

vispy.io.datasets.load_spatial_filters(packed=True)

  Load spatial-filters kernel

  Parameters:
    packed bool

      Whether or not the data should be in “packed” representation for use in GLSL code.

  Returns:
    kernel array

      16x1024x4 (packed float in rgba) or 16x1024 (unpacked float) 16 interpolation kernel with length 1024 each.

    names tuple of strings

      Respective interpolation names, plus “Nearest” which does not require a filter but can still be used

vispy.io.datasets.pack_ieee(value)

  Packs float ieee binary representation into 4 unsigned int8

  Returns:
    pack: array

      packed interpolation kernel

vispy.io.datasets.pack_unit(value)

  Packs float values between [0,1] into 4 unsigned int8

  Returns:
    pack: array

      packed interpolation kernel

previous

vispy.io.tests.test_io module

next

vispy.io.image module